1. Exergy's Avatar
    I'm trying to break my jailbreak on my iPhone 4. Its currently running 4.3.3 and I wanted to update to 4.3.5 before updating to iOS5 today but when it goes to verify with Apple it give me an error saying my phone is not eligible for the update. Please help! I want iOS5 later today!
    10-12-2011 08:02 AM
  2. Massie's Avatar
    Check this thread for ideas: http://forums.tipb.com/jailbreak-unl...heck-here.html
    Exergy likes this.
    10-12-2011 08:15 AM
  3. zackawee27's Avatar
    I'm trying to break my jailbreak on my iPhone 4. Its currently running 4.3.3 and I wanted to update to 4.3.5 before updating to iOS5 today but when it goes to verify with Apple it give me an error saying my phone is not eligible for the update. Please help! I want iOS5 later today!
    You might want to un-jailbreak you're device doing this:

    and then you should be able to upgrade to the iOS version you want.
    10-12-2011 09:13 AM
  4. liquidzoo's Avatar
    You don't need to update to 4.3.5 before updating to iOS 5. You can go straight from 4.3.3 to 5.0 (I'm going to, as soon as the untethered jailbreak is official).
    10-12-2011 09:30 AM
  5. Alli's Avatar
    If you have Tiny Umbrella installed, make sure it's not pointing to anything other than the Apple servers or you won't be able to update to anything.
    10-12-2011 11:41 AM
LINK TO POST COPIED TO CLIPBOARD